common = require('../../common');
gutil = require("gulp-util");
module.exports = function (cfg, enc, done) {

    // do not run restore and build at same time
    common.run(`dotnet restore ${cfg.source_path}`)
    .then(()=> common.run(`dotnet build -c ${cfg.configuration.buildMode} ${cfg.source_path}`))
    .then(() => done())
    .catch(ex => done(ex));
}