const fs = require("fs")
const path = require("path")
module.exports = {
    run: (cfg) => {
        var files = {
            "content/gulpfile.js" : "gulpfile.js",
            "content/gitlab-ci-yml-dotnet.yml": ".gitlab-ci.yml",
            "content/.buildconfig.json": ".buildconfig.json", 
            "content/buildinfo.json": "buildinfo.json"
        }
        for(var k in files){
            var src = path.join(cfg.localPath, k);
            var dst = files[k];
            if (!fs.existsSync(dst)) {
                fs.linkSync(src, dst);
            }
            else {
                console.log("file already exists", dst)
            }
        }

    }
}