var glob = require("glob")
path = require('path');
common = require('../../common')

module.exports = (cfg, done) => {
    listfiles(path.join(cfg.source_folder, cfg.pack_options.output, "*.nupkg"))
        .then(allfiles => {
            console.log(allfiles);
            var commands = allfiles.map(
                (item) => common.run(`nuget push ${item} -apiKey ${cfg.configuration.nugetApiToken} -source ${cfg.configuration.nugetServer}`)
            );
            // running push for each package and waiting for them to finish
            Promise.all(commands).then(() => done()).catch(ex => done(ex));
        })
        .catch(ex=>done(ex));
}

async function listfiles(path) {
    return new Promise((ff, rej) => {
        glob(path, (err, files) => {
            ff(files);
        });
    });
};
